Skip to main content
GET
/
subscriptions
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.subscriptions.list({});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "status": {},
      "quantity": {},
      "current_period_start": {},
      "current_period_end": {},
      "trial_ends_at": {},
      "ends_at": {},
      "created_at": {},
      "updated_at": {},
      "canceled": true,
      "paused": true
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

status
enum<string>

Filter by subscription status

Available options:
active,
canceled,
paused,
past_due,
unpaid,
incomplete,
trialing
starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of subscriptions

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required